name:                monadic-madness
version:             0.1.0.0
license:             MIT
author:              "William Bartlett"
maintainer:          "bartlettstarman@gmail.com"
copyright:           "2019 William Bartlett"

extra-source-files:
- README.md

description:         Please see the README on GitLab at <https://github.com/namrats/just-run-it/monadic-madness#README.md>

dependencies:
- base >= 4.7 && < 5

library:
  source-dirs: src

executables:
  monadic-madness:
    main:                Main.hs
    source-dirs:         app
    ghc-options:
    - -threaded
    - -rtsopts
    - -with-rtsopts=-N
    dependencies:
    - monadic-madness
    - snap-core
    - snap-server
    - bytestring

tests:
  monadic-madness-test:
    main:                Spec.hs
    source-dirs:         test
    ghc-options:
    - -threaded
    - -rtsopts
    - -with-rtsopts=-N
    dependencies:
    - monadic-madness
    - hspec
